#!/usr/bin/python

# Nodig:  pyephem https://pypi.python.org/pypi/pyephem/
# Installeer de biblioteek met: pip install ephem

import ephem
import time

run = True

# GPS - Coördinaten
# -----------------
# Amsterdam : lat = '52.370216', lon = '4.895168'
# Arnhem    : lat = '51.9851034',lon = '5.8987296'
# Eindhoven : lat = '51.441642', lon = '5.469722'

def main():
    home        = ephem.Observer()
    home.lat    = '52.370216'    # str() Latitude
    home.lon    = '4.895168'     # str() Longitude

    while run:

        next_sunrise    = home.next_rising(ephem.Sun()).datetime()
        next_sunset     = home.next_setting(ephem.Sun()).datetime()

        print ("\033c")                           # wis scherm
        print ("\033[1;33;40mDAG/NACHT BEPALING met EPHEM") # tekst met kleur
        print ("============================")
        print ("\033[1;33;37m")

        if next_sunset < next_sunrise:		  # vergelijking voor dag/nacht
            print ("Het is dag!")
        else:
            print ("Het is nacht!")

            # JE ZOU HIER HET COMMANDO KUNNEN OPNEMEN DAT EEN LAMP INSCHAKELT

        print ("\n")

        # objectdataomzetten naar string, inkorten en printen
        next_sunrise = str(next_sunrise)	# object naar string
        next_sunset = str(next_sunset)

        next_sunrise = next_sunrise[0:19]       # string inkorten
        next_sunset = next_sunset[0:19]

        print ("De zon komt op om    :",next_sunrise) # Print tijd zonsopkomst
        print ("De zon gaat onder om :",next_sunset)  # Print tijd zonsondergang

        time.sleep(5)

if __name__ == "__main__":
    try:
        main()
    except KeyboardInterrupt:
        print ("\n...programma is gestopt!\n")

